gtest-all.cc File Reference
`#include "gtest.h"`
`#include <ctype.h>`
`#include <math.h>`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <time.h>`
`#include <wchar.h>`
`#include <wctype.h>`
`#include <algorithm>`
`#include <iomanip>`
`#include <limits>`
`#include <list>`
`#include <map>`
`#include <ostream>`
`#include <sstream>`
`#include <vector>`
`#include <sys/time.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <stddef.h>`
`#include <string.h>`
`#include <memory>`
`#include <string>`
`#include <utility>`
`#include <limits.h>`
`#include <climits>`
`#include <fstream>`
`#include <cctype>`
`#include <cwchar>`

Go to the source code of this file.

## Classes

class | testing::internal::CapturedStream

## Namespaces

| testing
| testing::internal
| testing::internal2

## Macros

#define | GTEST_INCLUDE_GTEST_GTEST_SPI_H_
#define | EXPECT_FATAL_FAILURE(statement, substr)
#define | EXPECT_FATAL_FAILURE_ON_ALL_THREADS(statement, substr)
#define | EXPECT_NONFATAL_FAILURE(statement, substr)
#define | EXPECT_NONFATAL_FAILURE_ON_ALL_THREADS(statement, substr)
#define | GTEST_HAS_GETTIMEOFDAY_ 1
#define | GTEST_SRC_GTEST_INTERNAL_INL_H_
#define | GTEST_IMPL_CMP_HELPER_(op_name, op)
#define | GTEST_REPEATER_METHOD_(Name, Type)
#define | GTEST_REVERSE_REPEATER_METHOD_(Name, Type)
#define | GTEST_PATH_MAX_ _POSIX_PATH_MAX

## Enumerations

enum | testing::internal::CharFormat { testing::internal::kAsIs, testing::internal::kHexEscape, testing::internal::kSpecialEscape }

## Functions

| GTEST_DISABLE_MSC_WARNINGS_PUSH_ (4251) namespace testing
| GTEST_DISABLE_MSC_WARNINGS_POP_ () GTEST_DISABLE_MSC_WARNINGS_PUSH_(4251) namespace testing
| testing::GTEST_DEFINE_string_ (death_test_style, internal::StringFromGTestEnv("death_test_style", kDefaultDeathTestStyle), "Indicates how to run a death test in a forked child process: " "\hreadsafe\(child process re-executes the test binary " "from the beginning, running only the specific death test) or " "\ast\(child process runs the death test immediately " "after forking).")

testing::GTEST_DEFINE_bool_ (death_test_use_fork, internal::BoolFromGTestEnv("death_test_use_fork", false), "Instructs to use fork()/_exit() instead of clone() in death tests. " "Ignored and always uses fork() on POSIX systems where clone() is not " "implemented. Useful when running under valgrind or similar tools if " "those do not support clone(). Valgrind 3.3.1 will just fail if " "it sees an unsupported combination of clone() flags. " "It is not recommended to use this flag w/o valgrind though it will " "work in 99% of the cases. Once valgrind is fixed, this flag will " "most likely be removed.")

testing::internal::GTEST_DEFINE_string_ (internal_run_death_test, "", "Indicates the file, line number, temporal index of " "the single death test to run, and a file descriptor to " "which a success code may be sent, all separated by " "the '|' characters. This flag is specified if and only if the current " "process is a sub-process launched for running a thread-safe " "death test. FOR INTERNAL USE ONLY.")

size_t | testing::internal::GetThreadCount ()
GTEST_API_ ::std::string | testing::internal::FormatFileLocation (const char *file, int line)
GTEST_API_ ::std::string | testing::internal::FormatCompilerIndependentFileLocation (const char *file, int line)
void | testing::internal::CaptureStdout ()
void | testing::internal::CaptureStderr ()
std::string | testing::internal::GetCapturedStdout ()
std::string | testing::internal::GetCapturedStderr ()
size_t | testing::internal::GetFileSize (FILE *file)
std::string | testing::internal::ReadEntireFile (FILE *file)
bool | testing::internal::ParseInt32 (const Message &src_text, const char *str, Int32 *value)
bool | testing::internal::BoolFromGTestEnv (const char *flag, bool default_value)
Int32 | testing::internal::Int32FromGTestEnv (const char *flag, Int32 default_value)
std::string | testing::internal::OutputFlagAlsoCheckEnvVar ()
const char * | testing::internal::StringFromGTestEnv (const char *flag, const char *default_value)
void | testing::internal2::PrintBytesInObjectTo (const unsigned char *obj_bytes, size_t count, ostream *os)
bool | testing::internal::IsPrintableAscii (wchar_t c)
template<typename UnsignedChar , typename Char >
void | testing::internal::PrintCharAndCodeTo (Char c, ostream *os)
void | testing::internal::PrintTo (unsigned char c, ::std::ostream *os)
void | testing::internal::PrintTo (signed char c, ::std::ostream *os)
void | testing::internal::PrintTo (wchar_t wc, ostream *os)
void | testing::internal::UniversalPrintArray (const char *begin, size_t len, ostream *os)
void | testing::internal::UniversalPrintArray (const wchar_t *begin, size_t len, ostream *os)
void | testing::internal::PrintTo (const char *s, ostream *os)
void | testing::internal::PrintTo (const wchar_t *s, ostream *os)
void | testing::internal::PrintStringTo (const ::std::string &s, ostream *os)
void | testing::internal::PrintWideStringTo (const ::std::wstring &s, ostream *os)
std::ostream & | testing::operator<< (std::ostream &os, const TestPartResult &result)

## Variables

const char | testing::internal::kPathSeparator = '/'
const char | testing::internal::kCurrentDirectoryString [] = "./"
const int | testing::internal::kStdOutFileno = STDOUT_FILENO
const int | testing::internal::kStdErrFileno = STDERR_FILENO
const char | testing::internal::kUnknownFile [] = "unknown file"

## Macro Definition Documentation

## EXPECT_FATAL_FAILURE

#define EXPECT_FATAL_FAILURE | ( |  | statement,
|  |  | substr
| ) |  |

Value:
do { \
class GTestExpectFatalFailureHelper {\
public:\
static void Execute() { statement; }\
};\
::testing::TestPartResultArray gtest_failures;\
::testing::internal::SingleFailureChecker gtest_checker(\
&gtest_failures, ::testing::TestPartResult::kFatalFailure, (substr));\
{\
::testing::ScopedFakeTestPartResultReporter gtest_reporter(\
::testing::ScopedFakeTestPartResultReporter:: \
INTERCEPT_ONLY_CURRENT_THREAD, &gtest_failures);\
GTestExpectFatalFailureHelper::Execute();\
}\
} while (::testing::internal::AlwaysFalse())
testing::internal::AlwaysFalse
bool AlwaysFalse()
Definition: gtest.h:7260

## EXPECT_FATAL_FAILURE_ON_ALL_THREADS

#define EXPECT_FATAL_FAILURE_ON_ALL_THREADS | ( |  | statement,
|  |  | substr
| ) |  |

Value:
do { \
class GTestExpectFatalFailureHelper {\
public:\
static void Execute() { statement; }\
};\
::testing::TestPartResultArray gtest_failures;\
::testing::internal::SingleFailureChecker gtest_checker(\
&gtest_failures, ::testing::TestPartResult::kFatalFailure, (substr));\
{\
::testing::ScopedFakeTestPartResultReporter gtest_reporter(\
::testing::ScopedFakeTestPartResultReporter:: \
INTERCEPT_ALL_THREADS, &gtest_failures);\
GTestExpectFatalFailureHelper::Execute();\
}\
} while (::testing::internal::AlwaysFalse())
testing::internal::AlwaysFalse
bool AlwaysFalse()
Definition: gtest.h:7260

## EXPECT_NONFATAL_FAILURE

#define EXPECT_NONFATAL_FAILURE | ( |  | statement,
|  |  | substr
| ) |  |

Value:
do {\
::testing::TestPartResultArray gtest_failures;\
::testing::internal::SingleFailureChecker gtest_checker(\
&gtest_failures, ::testing::TestPartResult::kNonFatalFailure, \
(substr));\
{\
::testing::ScopedFakeTestPartResultReporter gtest_reporter(\
::testing::ScopedFakeTestPartResultReporter:: \
INTERCEPT_ONLY_CURRENT_THREAD, &gtest_failures);\
if (::testing::internal::AlwaysTrue()) { statement; }\
}\
} while (::testing::internal::AlwaysFalse())
testing::internal::AlwaysTrue
GTEST_API_ bool AlwaysTrue()
testing::internal::AlwaysFalse
bool AlwaysFalse()
Definition: gtest.h:7260

## EXPECT_NONFATAL_FAILURE_ON_ALL_THREADS

#define EXPECT_NONFATAL_FAILURE_ON_ALL_THREADS | ( |  | statement,
|  |  | substr
| ) |  |

Value:
do {\
::testing::TestPartResultArray gtest_failures;\
::testing::internal::SingleFailureChecker gtest_checker(\
&gtest_failures, ::testing::TestPartResult::kNonFatalFailure, \
(substr));\
{\
::testing::ScopedFakeTestPartResultReporter gtest_reporter(\
::testing::ScopedFakeTestPartResultReporter::INTERCEPT_ALL_THREADS, \
&gtest_failures);\
if (::testing::internal::AlwaysTrue()) { statement; }\
}\
} while (::testing::internal::AlwaysFalse())
testing::internal::AlwaysTrue
GTEST_API_ bool AlwaysTrue()
testing::internal::AlwaysFalse
bool AlwaysFalse()
Definition: gtest.h:7260

## GTEST_HAS_GETTIMEOFDAY_

#define GTEST_HAS_GETTIMEOFDAY_ 1

## GTEST_IMPL_CMP_HELPER_

#define GTEST_IMPL_CMP_HELPER_ | ( |  | op_name,
|  |  | op
| ) |  |

Value:
AssertionResult CmpHelper##op_name(const char* expr1, const char* expr2, \
BiggestInt val1, BiggestInt val2) {\
if (val1 op val2) {\
return AssertionSuccess();\
} else {\
return AssertionFailure() \
<< "Expected: (" << expr1 << ") " #op " (" << expr2\
<< "), actual: " << FormatForComparisonFailureMessage(val1, val2)\
<< " vs " << FormatForComparisonFailureMessage(val2, val1);\
}\
}
testing::internal::FormatForComparisonFailureMessage
std::string FormatForComparisonFailureMessage(const T1 &value, const T2 &)
Definition: gtest.h:8416
testing::internal::BiggestInt
long long BiggestInt
Definition: gtest.h:2223

## GTEST_INCLUDE_GTEST_GTEST_SPI_H_

#define GTEST_INCLUDE_GTEST_GTEST_SPI_H_

Definition at line 109 of file gtest-all.cc.

## GTEST_PATH_MAX_

#define GTEST_PATH_MAX_ _POSIX_PATH_MAX

Definition at line 9221 of file gtest-all.cc.

## GTEST_REPEATER_METHOD_

#define GTEST_REPEATER_METHOD_ | ( |  | Name,
|  |  | Type
| ) |  |

Value:
void TestEventRepeater::Name(const Type& parameter) { \
if (forwarding_enabled_) { \
for (size_t i = 0; i < listeners_.size(); i++) { \
listeners_[i]->Name(parameter); \
} \
} \
}

## GTEST_REVERSE_REPEATER_METHOD_

#define GTEST_REVERSE_REPEATER_METHOD_ | ( |  | Name,
|  |  | Type
| ) |  |

Value:
void TestEventRepeater::Name(const Type& parameter) { \
if (forwarding_enabled_) { \
for (int i = static_cast<int>(listeners_.size()) - 1; i >= 0; i--) { \
listeners_[i]->Name(parameter); \
} \
} \
}

## GTEST_SRC_GTEST_INTERNAL_INL_H_

#define GTEST_SRC_GTEST_INTERNAL_INL_H_

## Function Documentation

## GTEST_DISABLE_MSC_WARNINGS_POP_()

GTEST_DISABLE_MSC_WARNINGS_POP_ | ( |  | ) |

Definition at line 190 of file gtest-all.cc.

## GTEST_DISABLE_MSC_WARNINGS_PUSH_()

GTEST_DISABLE_MSC_WARNINGS_PUSH_ | ( | 4251 | 5046 | ) |

Definition at line 112 of file gtest-all.cc.